Bug 522013 - New tip for controlling parameters order
Summary: New tip for controlling parameters order
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: translation-quick-start-guide
Version: devel
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Noriko Mizumoto
QA Contact: Piotr Drąg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 06:43 UTC by Noriko Mizumoto
Modified: 2009-11-22 21:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 540240 (view as bug list)
Environment:
Last Closed: 2009-11-22 21:11:52 UTC


Attachments (Terms of Use)

Description Noriko Mizumoto 2009-09-09 06:43:39 UTC
when translating, sometime the result of particular translated string contains different parameters order. But it usually is not allowed. There is the workaround to change the order in translation, and it can be found at 'info gettext'. Give a pointer or actually copy it into TQSG.

For example in German, This won't work:
msgid: "String `%s' has %d characters\n"
msgstr: "%d Zeichen lang ist die Zeichenkette `%s'" 

so that the number with $ mark can be given as below;
msgstr: "%2$d Zeichen lang ist die Zeichenkette `%1$s'"

Comment 1 Piotr Drąg 2009-11-09 16:02:46 UTC
Are you sure this kind of information belongs to Quick Start Guide? I'd rather create L10N/Tips_for_translators wiki page.

Comment 2 Karsten Wade 2009-11-09 16:22:22 UTC
Just a nit-pick, but we like to avoid false-nesting with MediaWiki, so:

* [[Tips for translators]] is a good page name.
* Put [[Category:L10n]] (and other categories, e.g. [[Category:How to]]) in to the body of the page.

;-)

Comment 3 Piotr Drąg 2009-11-09 16:34:34 UTC
I know, but right now l10n pages are using nesting, and no one is brave enough to propose a new naming scheme for nicer integration with MediaWiki. And if we are going to change it, we should fix the whole picture, instead of fixing a single page.

Comment 4 Karsten Wade 2009-11-09 18:58:05 UTC
(In reply to comment #3)
> I know, but right now l10n pages are using nesting, and no one is brave enough
> to propose a new naming scheme for nicer integration with MediaWiki. And if we
> are going to change it, we should fix the whole picture, instead of fixing a
> single page.  

(Sorry to hijack the bug report ...)

Since nesting provides no advantage, there is no problem with dropping it immediately for all new pages.

A new naming scheme is not required, use this one:

https://fedoraproject.org/wiki/NAMING

That is, just use natural language instead of artificial nesting.

The key is to make sure all pages, regardless of naming, are in the [[Category:L10n]] and/or [[Category:L10n Project]].  Then they can all be found easily, etc., which is what the nesting did for us in the former MoinMoin wiki.

We can start solving the problem immediately with new pages, then work on renaming other pages.  We've renamed large sections of the wiki so far, so there are plenty of people willing to help.

Comment 5 Piotr Drąg 2009-11-22 21:11:52 UTC
I've created wiki page https://fedoraproject.org/wiki/L10N/Tips_for_translators (name will be changed in future) containing this tip. It can be improved there.

I'm closing this bug report. I will file a bug about wiki naming clean-up for l10n pages.


Note You need to log in before you can comment on or make changes to this bug.